Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.intermediate
Class IFContext

    java.lang.Object
      org.apache.fop.render.intermediate.IFContext

    public class IFContext

extends java.lang.Object

This class provides a context object that is valid for a single processing run to create an output file using the intermediate format. It allows access to the user agent and other context information, such as foreign attributes for certain elements in the intermediate format.

Foreign attributes are usually specific to a particular output format implementation. Most implementations will just ignore all foreign attributes for most elements. That's why the main IF interfaces are not burdened with this.

Constructor Summary
`IFContext(FOUserAgent ua)` Main constructor.

Method Summary
`java.lang.Object` | `getForeignAttribute(org.apache.xmlgraphics.util.QName qName)` Returns a foreign attribute.
`java.util.Map` | `getForeignAttributes()` Returns the currently applicable foreign attributes.
`java.util.Locale` | `getLanguage()` Returns the currently applicable language.
`StructureTreeElement` | `getStructureTreeElement()` Returns the current structure tree element.
`FOUserAgent` | `getUserAgent()` Returns the associated user agent.
`void` | `resetForeignAttributes()` Resets the foreign attributes to "no foreign attributes".
`void` | `resetStructureTreeElement()` Resets the current structure tree element.
`void` | `setForeignAttributes(java.util.Map foreignAttributes)` Sets the currently applicable foreign attributes.
`void` | `setLanguage(java.util.Locale lang)` Sets the currently applicable language.
`void` | `setStructureTreeElement(StructureTreeElement structureTreeElement)` Sets the structure tree element to which the subsequently painted marks will correspond.
`void` | `setUserAgent(FOUserAgent ua)` Set the user agent.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IFContext

    public IFContext(FOUserAgent ua)

  Main constructor.

  Parameters:
    `ua` - the user agent

Method Detail

### setUserAgent

    public void setUserAgent(FOUserAgent ua)

  Set the user agent.

  Parameters:
    `ua` - the user agent

### getUserAgent

    public FOUserAgent getUserAgent()

  Returns the associated user agent.

  Returns:
    the user agent

### getForeignAttributes

    public java.util.Map getForeignAttributes()

  Returns the currently applicable foreign attributes.

  Returns:
    a Map

### getForeignAttribute

    public java.lang.Object getForeignAttribute(org.apache.xmlgraphics.util.QName qName)

  Returns a foreign attribute.

  Parameters:
    `qName` - the qualified name of the foreign attribute
  Returns:
    the value of the foreign attribute or null if the attribute isn't specified

### setForeignAttributes

    public void setForeignAttributes(java.util.Map foreignAttributes)

  Sets the currently applicable foreign attributes.

  Parameters:
    `foreignAttributes` - a Map or null to reset

### resetForeignAttributes

    public void resetForeignAttributes()

  Resets the foreign attributes to "no foreign attributes".

### setLanguage

    public void setLanguage(java.util.Locale lang)

  Sets the currently applicable language.

  Parameters:
    `lang` - the language

### getLanguage

    public java.util.Locale getLanguage()

  Returns the currently applicable language.

  Returns:
    the language (or null if the language is undefined)

### setStructureTreeElement

    public void setStructureTreeElement(StructureTreeElement structureTreeElement)

  Sets the structure tree element to which the subsequently painted marks will correspond. This method is used when accessibility features are enabled.

  Parameters:
    `structureTreeElement` - the structure tree element

### resetStructureTreeElement

    public void resetStructureTreeElement()

  Resets the current structure tree element.

  See Also:
    `setStructureTreeElement(StructureTreeElement)`

### getStructureTreeElement

    public StructureTreeElement getStructureTreeElement()

  Returns the current structure tree element.

  Returns:
    the structure tree element (or null if no element is active)
  See Also:
    `setStructureTreeElement(StructureTreeElement)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.